Skip to main content
GET
/
v1
/
quotes
List Quotes
curl --request GET \
  --url https://api.sandbox.busha.so/v1/quotes \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "message for success",
  "pagination": {
    "current_entries_size": 20,
    "next_cursor": "MjAyNC0xMC0xNVQxMTowNTo1My45NTkxNDErMDE6MDA=",
    "previous_cursor": "MjAyNC0xMC0xNVQxMDowNTo1My45NTIxQjE3MDE6MDA="
  },
  "data": [
    {
      "id": "bus_123456789",
      "source_currency": "BTC",
      "target_currency": "BTC",
      "source_amount": "100",
      "target_amount": "100",
      "profile_id": "bus_123456789",
      "rate": {
        "product": "BTCUSDT",
        "rate_explained": "1 BTC = 1000 USDT",
        "source_currency": "BTC",
        "target_currency": "BTC",
        "rate": "100",
        "side": "sell",
        "type": "FIXED"
      },
      "fees": [
        {
          "name": "processing_fee",
          "amount": {
            "amount": "100",
            "currency": "BTC"
          },
          "type": "FIXED",
          "converted_amount": {
            "amount": "100",
            "currency": "BTC"
          }
        }
      ],
      "reference": "QUO_123456abc",
      "status": "pending",
      "created_at": "2023-10-15T12:15:30Z",
      "updated_at": "2023-10-15T12:20:45Z",
      "pay_in": {
        "type": "address",
        "recipient_id": "64ae8c26ea1033204c805a8a",
        "address": "tb1qj4263506wyu8khrz2dwce0agk8lhyjgy269rxr",
        "network": "BTC",
        "memo": "address memo",
        "profile_id": "profile-id-1234",
        "recipient_details": {
          "account_name": "<string>",
          "bank_name": "<string>",
          "account_number": "<string>",
          "country_code": "NG",
          "provider": "<string>",
          "iban": "NG12345678901234567890",
          "currency": "<string>",
          "phone_number": "<string>",
          "name": "<string>",
          "email": "sbsbs@busha.co",
          "bank_code": "100020"
        },
        "blockchain_hash": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
        "blockchain_url": "https://explorer.com/tx/31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
        "session_id": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
        "from_address": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
        "expires_at": "2023-10-15T12:15:30Z"
      },
      "pay_out": {
        "type": "address",
        "recipient_id": "64ae8c26ea1033204c805a8a",
        "address": "tb1qj4263506wyu8khrz2dwce0agk8lhyjgy269rxr",
        "network": "BTC",
        "memo": "address memo",
        "profile_id": "profile-id-1234",
        "recipient_details": {
          "account_name": "<string>",
          "bank_name": "<string>",
          "account_number": "<string>",
          "country_code": "NG",
          "provider": "<string>",
          "iban": "NG12345678901234567890",
          "currency": "<string>",
          "phone_number": "<string>",
          "name": "<string>",
          "email": "sbsbs@busha.co",
          "bank_code": "100020"
        },
        "blockchain_hash": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
        "blockchain_url": "https://explorer.com/tx/31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
        "session_id": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
        "from_address": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
        "expires_at": "2023-10-15T12:15:30Z"
      },
      "expires_at": "2023-12-01T15:04:05Z",
      "two_step": {
        "type": "authenticator",
        "message": "Enter your 2FA code to continue",
        "resend_allowed": false
      },
      "quote_rate": {
        "product": "BTCUSDT",
        "rate_explained": "1 BTC = 1000 USDT",
        "source_currency": "BTC",
        "target_currency": "BTC",
        "rate": "100",
        "side": "sell",
        "type": "FIXED"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Query Parameters

sort
enum<string>

The order to sort the results

Available options:
asc,
desc
Example:

"asc"

cursor
string<string>

The cursor

limit
integer

The number of items to return

Example:

10

Response

Quotes List Response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

pagination
object
required
data
object[]
required